/*

    GDS7 v0.1 interactive digital image transfer software for DS-7 camera
    Copyright (C) 1998 Matthew G. Martin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/
/* Tsk Tsk , global variables */

extern GtkWidget *statframe,*pixcount, *camid, *picwin,*align,*pictable,
  *window,*blankmap,*progress,*mainbar,*filemenu,*popmenu,*prev_sel,
  *dev_sel,*size_sel,*gam_sel,*col_sel,*toolbar;
//GtkAcceleratorTable *main_accel;

extern GtkStyle *selected,*selected_saved;
/* colors */
extern GdkColor prog_color; /* Green */
extern GdkColor sel_bg; /* Light Red */
extern GdkColor sel_saved_bg; /* Lighter Green */

/* Setup the main window */
void main_win();

void make_menu();

/* Configuration Dialog */
void config_dialog();

/* Update display */
void gtk_sync();

/* Brings up a message for the user */
void popup_dialog(char *mesg);

/* Make pixel number */
void pixelcalc(GdkColor *color);

/* Pull up a help window */
void help_dialog();
